Bug 478553 - (perl-WWW-Curl) Review Request: perl-WWW-Curl - Perl extension interface for libcurl
Review Request: perl-WWW-Curl - Perl extension interface for libcurl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Nowak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: clive2
  Show dependency treegraph
 
Reported: 2008-12-31 15:54 EST by Nicoleau Fabien
Modified: 2013-03-07 21:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:50:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mnowak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Build output for local build (6.20 KB, application/octet-stream)
2008-12-31 16:01 EST, Nicoleau Fabien
no flags Details

  None (edit)
Description Nicoleau Fabien 2008-12-31 15:54:09 EST
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/perl-WWW-Curl.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/perl-WWW-Curl-4.05-1.fc10.src.rpm
Description: 
WWW::Curl is a Perl extension interface for libcurl.

Package build on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1028096
Rebuild under mock is OK.
Local build with all tests is OK
rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/perl-WWW-Curl-4.05-1.fc10.src.rpm /home/builder/rpmbuild/RPMS/i386/perl-WWW-Curl-4.05-1.fc10.i386.rpm /home/builder/rpmbuild/RPMS/i386/perl-WWW-Curl-debuginfo-4.05-1.fc10.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX rpmbuild]$
Comment 1 Nicoleau Fabien 2008-12-31 16:01:00 EST
Created attachment 328022 [details]
Build output for local build

Build output for local build :
rpmbuild -ba perl-WWW-Curl.spec --with network_tests
Comment 2 Michal Nowak 2009-01-13 14:52:07 EST
I wonder two things.

1)

%doc Changes LICENSE README README.Win32
`---------------------------^^^^^^^^^^^^

What's the purpose of file 'README.Win32' in Fedora? I don't see there anything useful for Linux user/developer.


2)

%changelog
* Thu Dec 11 2008 Nicoleau Fabien (eponyme) 4.05-1
`------------------------------------------^

Having here an email, in 'nick at provider dot tld'-form at least, makes me feel it complies with Fedora guidelines somewhat more.
Comment 3 Michal Nowak 2009-01-13 14:59:03 EST
Please preserve the original time-stamp.

-rw-rw-r-- 1 newman newman 40162 2008-07-06 00:37 /home/newman/WWW-Curl-4.05.tar.gz
-rw-rw-r-- 1 newman newman 40162 2008-12-11 13:12 WWW-Curl-4.05.tar.gz

The first file is the original ("wgetted"), the second one is the one from SRPM.
Comment 4 Nicoleau Fabien 2009-01-14 12:49:14 EST
Updates :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/perl-WWW-Curl.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/perl-WWW-Curl-4.05-2.fc10.src.rpm

Changelog : 
- Timestamp preserved
- changelog format fix
- README.Win32 file removed
Comment 5 Michal Nowak 2009-01-14 14:27:51 EST
> %files
> %defattr(-,root,root,-)
> %doc Changes LICENSE README README.Win32
`-----------------------------^^^^^^^^^^^^

I am sorry but the file README.Win32 is still present in the %doc section. Changelog and timestamp are both fixed.
Comment 6 Nicoleau Fabien 2009-01-14 14:41:13 EST
Apologies :D ... Here is the update, with README.Win32 removed :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/perl-WWW-Curl.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/perl-WWW-Curl-4.05-3.fc10.src.rpm
Comment 7 Michal Nowak 2009-01-14 15:17:46 EST
perl-WWW-Curl

MUST Items:

[OK]    * MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
[OK]    * MUST: The package must be named according to the Package Naming Guidelines .
[OK]    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
[OK]    * MUST: The package must meet the Packaging Guidelines .
[OK]    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
MIT derivate
[OK]    * MUST: The License field in the package spec file must match the actual license. [3]
[OK]    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[N/A]    * MUST: The spec file must be written in American English. [5]

Dunno I am not a linguist.

[OK]    * MUST: The spec file for the package MUST be legible. [6]
[OK]    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

a49d09edc7491d9d8abec3ef79799853  /home/newman/WWW-Curl-4.05.tar.gz
a49d09edc7491d9d8abec3ef79799853  SOURCES/WWW-Curl-4.05.tar.gz

[OK]    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]     MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

Builds on all primary archs.

[OK]    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

Build in mock & koji just fine.

[N/A]    * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

No such support present.

[N/A]    * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

This is interpreted languange. Even though it includes Curl.so library it is not treated the ldconfig way.

[N/A]    * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [11]
[OK]    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
[OK]    * MUST: A package must not contain any duplicate files in the %files listing. [13]
[OK]    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
[OK]    * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
[OK]    * MUST: Each package must consistently use macros. [16]
[OK]    * MUST: The package must contain code, or permissable content. [17]
[N/A]    * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[OK]    * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

Only Linux related docs are present.

[N/A]    * MUST: Header files must be in a -devel package. [19]
[N/A]    * MUST: Static libraries must be in a -static package. [20]
[N/A]    * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]
[N/A]    * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[N/A]    * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]
[OK]    * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[OK]    * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [23]
[OK]    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
[OK]    * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
[OK]    * MUST: All filenames in rpm packages must be valid UTF-8. [26]

--

Just a note for packager from https://fedoraproject.org/wiki/Packaging/Perl

"""
Set inital-cc to 'perl-sig'

It's common practice to set the Fedora perl SIG mailing list as a member of the initial-cc list for bugzilla. This can be done by adding the user perl-sig to the initial CC list. 
"""

--

Don't forget to package clive2 soon :).

--

This package is APPROVED by me.
Comment 8 Nicoleau Fabien 2009-01-14 15:55:43 EST
Thank you very much for the review :)
I'll of course build clive2 when this package will be imported :)

New Package CVS Request
=======================
Package Name: perl-WWW-Curl
Short Description: Perl extension interface for libcurl
Owners: eponyme
Branches: F-9 F-10
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-01-14 16:17:26 EST
cvs done.
Comment 10 Fedora Update System 2009-01-15 14:55:52 EST
perl-WWW-Curl-4.05-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-WWW-Curl-4.05-4.fc10
Comment 11 Fedora Update System 2009-01-15 14:57:30 EST
perl-WWW-Curl-4.05-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-WWW-Curl-4.05-4.fc9
Comment 12 Fedora Update System 2009-01-16 18:47:09 EST
perl-WWW-Curl-4.05-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-WWW-Curl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0660
Comment 13 Fedora Update System 2009-01-16 18:47:15 EST
perl-WWW-Curl-4.05-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-WWW-Curl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0663
Comment 14 Fedora Update System 2009-01-26 20:50:02 EST
perl-WWW-Curl-4.05-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-01-26 20:51:29 EST
perl-WWW-Curl-4.05-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Xavier Bachelot 2010-02-04 03:57:12 EST
Fabien, would you be ok to branch this package for EL-5 ? If you're not, I can maintain this branch myself.

Regards,
Xavier
Comment 17 Nicoleau Fabien 2010-02-04 12:25:52 EST
Hi Xavier,
I prefer let you own the EL-5 branch, but I'm ok to co-maintain it.

Fabien
Comment 18 Xavier Bachelot 2010-02-04 15:33:28 EST
Thanks Fabien.

Package Change Request
======================
Package Name: perl-WWW-Curl
New Branches: EL-5
Owners: xavierb eponyme
Comment 19 Kevin Fenzi 2010-02-07 16:18:03 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.